Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1635 (new defect)

Opened 14 years ago

Last modified 14 years ago

WDS nodes are deleted after timeout

Reported by: btanastasov@yahoo.co.uk Assigned to:
Priority: minor Milestone:
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description (Last modified by mrenzmann)

There is a problem with wds nodes which I didn't noticed until now because the last version I've tried was from May 2007. At that time it appears that madwifi-ng-refcount branch was merged which I suspect for the problem I'm writing here.

The problem is that wds nodes are removed after some timeout if no packets are transferred between the two AP's. If one of them for example is stopped for some time the other deletes the node. As a result there is no way for them to see each other anymore until the wds vap is recreated again or the driver reloaded.

I'm suspecting the ieee80211_timeout_stations() function in madwifi/net80211/ieee80211_node.c for that. There is no check if the node is wds and after the timeout has expired the node is removed.

Attachments

dont_remove_wds_node.patch (0.7 kB) - added by btanastasov@yahoo.co.uk on 11/08/07 19:02:14.
Skip removal if node is wds

Change History

11/08/07 19:02:14 changed by btanastasov@yahoo.co.uk

  • attachment dont_remove_wds_node.patch added.

Skip removal if node is wds

11/08/07 19:35:43 changed by mrenzmann

  • patch_attached set to 1.
  • description changed.

Please sign off your patch, so that it can be committed after review.

11/08/07 19:45:58 changed by btanastasov@yahoo.co.uk

dont_remove_wds_node.patch

Signed-off-by: Boyan Anastasov <btanastasov@yahoo.co.uk>

11/09/07 07:07:48 changed by mrenzmann

Thanks.

Team, please review.

04/08/08 23:53:47 changed by dacker@roinet.com

I use the timeout feature when using WDS between APs. It allows me to remove a WDS connection when the remote access point is shot down or goes out of range of the local access point. If something similar to this patch is added in I would like to see it be optional/configurable.

04/10/08 19:15:17 changed by btanastasov@yahoo.co.uk

But it is problem because the AP-1 may be down for a minute for reboot and if the AP-2 deletes it and is far way you have to go there and to reload the driver which is not very good idea if there is no other way to get inside the AP-2.

I see now that the problem was fixed in r3140 by different way:


r3140 | mtaylor | 2008-01-16 02:08:14 +0200 (Wed, 16 Jan 2008) | 1 line

Fix for a defect where WDS nodes were expired. Never time them out.


I can't test right now if this is fixed but perhaps it is, so I think this ticket must be closed if no other objections.